<script lang="ts">
  import type { CardId } from "../server";
  import CardComponent from "./CardFront.svelte";
  import { send, receive } from "./util/crossfade";
  import { flip } from "svelte/animate";

  export let cards: CardId[];
  export let crossfade: boolean = false;
</script>

<div class="discards">
  {#if crossfade}
    {#each cards as card (card)}
      <div in:receive={{ key: card }} out:send={{ key: card }} animate:flip>
        <CardComponent {card} />
      </div>
    {/each}
  {:else}
    {#each cards as card (card)}
      <div>
        <CardComponent {card} />
      </div>
    {/each}
  {/if}
</div>

<style>
  .discards {
    display: flex;
  }
  .discards > * {
    display: inline-block;
    margin: 0 -3.8em;
  }

  .discards > *:nth-child(1) {
    margin-left: 0;
  }
  .discards > *:nth-last-child(1) {
    margin-right: 0;
  }
</style>
